Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.navigation
Class Page

    java.lang.Object
      org.jboss.seam.navigation.Page

    public final class Page

extends Object

Metadata about page actions, page parameters, action navigation, resource bundle, etc, for a particular JSF view id.

Field Summary
`static String` | `RFC_1123_DATE`

Constructor Summary
`Page(String viewId)`

Method Summary
`void` | `addEventType(String eventType)`
`void` | `addRewritePattern(String value)`
`List<Action>` | `getActions()`
`Integer` | `getConcurrentRequestTimeout()`
`ConversationControl` | `getConversationControl()`
`ConversationIdParameter` | `getConversationIdParameter()`
`Navigation` | `getDefaultNavigation()`
`String` | `getDescription()`
`List<String>` | `getEventTypes()`
`List<Header>` | `getHeaders()`
`List<Input>` | `getInputs()`
`Map<String,Navigation>` | `getNavigations()`
`Expressions.ValueExpression<String>` | `getNoConversationViewId()`
`List<Param>` | `getParameters()`
`ProcessControl` | `getProcessControl()`
`ResourceBundle` | `getResourceBundle()`
`String` | `getResourceBundleName()`
`String` | `getRestriction()`
`List<Pattern>` | `getRewritePatterns()`
`String` | `getScheme()`
`TaskControl` | `getTaskControl()`
`Integer` | `getTimeout()`
`String` | `getViewId()`
`boolean` | `hasDescription()`
`boolean` | `isConversationRequired()`
`boolean` | `isLoginRequired()`
`boolean` | `isRestricted()`
`boolean` | `isSwitchEnabled()`
`boolean` | `isValidateModel()` Indicates whether the model validator (Hibernate Validator) should be registered on the page parameters by default.
`void` | `postRestore(javax.faces.context.FacesContext facesContext)` Check the restore permission.
`boolean` | `preRender(javax.faces.context.FacesContext facesContext)` Call page actions, in order they appear in XML, and handle conversation begin/end.
`String` | `renderDescription()`
`void` | `setConcurrentRequestTimeout(Integer concurrentRequestTimeout)`
`void` | `setConversationIdParameter(ConversationIdParameter param)`
`void` | `setConversationRequired(boolean conversationRequired)`
`void` | `setDefaultNavigation(Navigation defaultActionOutcomeMapping)`
`void` | `setDescription(String description)`
`void` | `setExpires(Integer expires)`
`void` | `setLoginRequired(boolean loginRequired)`
`void` | `setNoConversationViewId(Expressions.ValueExpression<String> noConversationViewId)`
`void` | `setResourceBundleName(String resourceBundleName)`
`void` | `setRestricted(boolean restricted)`
`void` | `setRestriction(String restriction)`
`void` | `setScheme(String scheme)`
`void` | `setSwitchEnabled(boolean switchEnabled)`
`void` | `setTimeout(Integer timeout)`
`void` | `setValidateModel(boolean validateModel)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RFC_1123_DATE

    public static final String RFC_1123_DATE

See Also:
  Constant Field Values

Constructor Detail

### Page

    public Page(String viewId)

Method Detail

### getResourceBundle

    public ResourceBundle getResourceBundle()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getViewId

    public String getViewId()

### renderDescription

    public String renderDescription()

### setDescription

    public void setDescription(String description)

### getDescription

    public String getDescription()

### setTimeout

    public void setTimeout(Integer timeout)

### getTimeout

    public Integer getTimeout()

### setConcurrentRequestTimeout

    public void setConcurrentRequestTimeout(Integer concurrentRequestTimeout)

### getConcurrentRequestTimeout

    public Integer getConcurrentRequestTimeout()

### setNoConversationViewId

    public void setNoConversationViewId(Expressions.ValueExpression<String> noConversationViewId)

### getNoConversationViewId

    public Expressions.ValueExpression<String> getNoConversationViewId()

### setResourceBundleName

    public void setResourceBundleName(String resourceBundleName)

### getResourceBundleName

    public String getResourceBundleName()

### setSwitchEnabled

    public void setSwitchEnabled(boolean switchEnabled)

### isSwitchEnabled

    public boolean isSwitchEnabled()

### setValidateModel

    public void setValidateModel(boolean validateModel)

### isValidateModel

    public boolean isValidateModel()

  Indicates whether the model validator (Hibernate Validator) should be registered on the page parameters by default. The default is to add the model validator. This setting can be overridden per page parameter. If parameters are registered on the page programatically, this setting should be honored as the default.

### getParameters

    public List<Param> getParameters()

### getNavigations

    public Map<String,Navigation> getNavigations()

### hasDescription

    public boolean hasDescription()

### isConversationRequired

    public boolean isConversationRequired()

### setConversationRequired

    public void setConversationRequired(boolean conversationRequired)

### getDefaultNavigation

    public Navigation getDefaultNavigation()

### setDefaultNavigation

    public void setDefaultNavigation(Navigation defaultActionOutcomeMapping)

### getConversationControl

    public ConversationControl getConversationControl()

### getTaskControl

    public TaskControl getTaskControl()

### getProcessControl

    public ProcessControl getProcessControl()

### getActions

    public List<Action> getActions()

### postRestore

    public void postRestore(javax.faces.context.FacesContext facesContext)

  Check the restore permission.

### preRender

    public boolean preRender(javax.faces.context.FacesContext facesContext)

  Call page actions, in order they appear in XML, and handle conversation begin/end. Also check the render permission.

### getInputs

    public List<Input> getInputs()

### isRestricted

    public boolean isRestricted()

### setRestricted

    public void setRestricted(boolean restricted)

### getRestriction

    public String getRestriction()

### setRestriction

    public void setRestriction(String restriction)

### isLoginRequired

    public boolean isLoginRequired()

### setLoginRequired

    public void setLoginRequired(boolean loginRequired)

### getScheme

    public String getScheme()

### setScheme

    public void setScheme(String scheme)

### getConversationIdParameter

    public ConversationIdParameter getConversationIdParameter()

### setConversationIdParameter

    public void setConversationIdParameter(ConversationIdParameter param)

### getEventTypes

    public List<String> getEventTypes()

### addEventType

    public void addEventType(String eventType)

### getRewritePatterns

    public List<Pattern> getRewritePatterns()

### addRewritePattern

    public void addRewritePattern(String value)

### getHeaders

    public List<Header> getHeaders()

### setExpires

    public void setExpires(Integer expires)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.